[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# DbgS

Converts items of several data types into strings, for debug output.

## Declaration

Source position: controls.pp line 2784

`function DbgS(`
`a: TAnchorKind`
`):string; overload; function DbgS(`
`Anchors: TAnchors`
`):string; overload; function DbgS(`
`a: TAlign`
`):string; overload; function DbgS(`
`a: TAnchorKind;`
`Side: TAnchorSideReference`
`):string; overload; function DbgS(`
`p: TControlAutoSizePhase`
`):string; overload; function DbgS(`
`Phases: TControlAutoSizePhases`
`):string; overload; function DbgS(`
`cst: TControlStyleType`
`):string; overload; function DbgS(`
`cs: TControlStyle`
`):string; overload; function DbgS(`
`fs: TFormStyle`
`):string; overload;`

## Arguments

`a` |  | TAlign value converted in the routine.

## Function result

The string representing the given parameter(s).

## Arguments

`Anchors` |  | Set of TAnchorKind values converted in the routine.

## Arguments

`a` |  | TAlign value converted in the routine.

## Arguments

`a` |  | TAlign value converted in the routine.
`Side` |  | Anchor side enumeration value converted in the routine.

## Arguments

`p` |  | Auto-size phase converted in the routine.

## Arguments

`Phases` |  | All elements in this set will be shown as a comma-separated list.

## Arguments

`cst` |  | Control style flag converted in the routine.

## Arguments

`cs` |  | Set of control style flags converted in the routine.

## Arguments

`fs` |  | Form style value converted in the routine.

## Errors

[The parameters should have unique names, for every type]